package com.sdtool.common.entity.base;

import com.sweetfish.util.Comment;

/**
 * Created by jlutt on 2018-07-14.
 *
 * @author jlutt
 */
@SuppressWarnings("unused")
public class ZTreeData {

    @Comment("")
    private long id;

    @Comment("父ID")
    private long pId;

    @Comment("名称")
    private String name;

    @Comment("标题")
    private String title;

    @Comment("审核标记")
    private boolean checked;

    @Comment("排序")
    private int sortIndex;

    @Comment("是否可见")
    private int visible;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getpId() {
        return pId;
    }

    public void setpId(long pId) {
        this.pId = pId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public boolean isChecked() {
        return checked;
    }

    public void setChecked(boolean checked) {
        this.checked = checked;
    }

    public int getSortIndex() {
        return sortIndex;
    }

    public void setSortIndex(int sortIndex) {
        this.sortIndex = sortIndex;
    }

    public int getVisible() {
        return visible;
    }

    public void setVisible(int visible) {
        this.visible = visible;
    }
}
